
interface AgentTaskStepOptions {
    title: string
    shareData?: any
    handle?: { (): Promise<any> }
}
export class AgentTaskStep {
    title: string = ""
    shareData: any = {}
    data: any = {}

    parentComp: any | undefined
    parentIndex: number | undefined
    constructor(metaData: AgentTaskStepOptions) {
        this.title = metaData?.title
        this.shareData = metaData?.shareData
        // this.handle = metaData?.handle
    }
    onInit() {

    }
    onProgress() {

    }
    onComplete() {

    }
}   